<template>
	<Head title="Peserta" />

	<BreezeAuthenticatedLayout>
		<template #header>
			<h2 class="font-semibold text-xl text-gray-800 leading-tight">
				{{ nasabah ? 'Update' : "Create New" }} Peserta
			</h2>
		</template>

		<div class="py-12">
			<div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
				<div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
					<div class="p-6 bg-white border-b border-gray-200">
                    
						<form class="space-y-4" @submit.prevent="submit">

                        <div class="flex space-x-9">
                        <div class="w-32"> <b>Identitas</b> </div>
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Nomor KTP: </div>
                        <input type="number" class="input-form" v-model="form.noktp" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Nama Lengkap: </div>
                        <input type="text" class="input-form" v-model="form.nama" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Jenis Kelamin : </div>
                        <input type="radio" value="1" v-model="form.jenkel" /><label>Laki-Laki</label>
                        <input type="radio" value="2" v-model="form.jenkel" /><label>Perempuan</label>
                        </div>


                        <div class="flex space-x-9">
                        <div class="w-32"> Tempat Lahir : </div>
                        <input type="text" class="input-form"  v-model="form.tptlhr" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Tanggal Lahir : </div>
                        <datepicker class="input-form" v-model="form.tgllhr" format="yyyy-MM-dd" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Status Pernikahan : </div>
                        <select class="input-form" v-model="form.status">
                            <option value="1">Menikah</option>
                            <option value="2">Belum Menikah</option>
                        </select>
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Nomor HP: </div>
                        <input type="text" class="input-form" v-model="form.hp" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> NPWP: </div>
                        <input type="text" class="input-form" v-model="form.npwp" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Warganegara : </div>
                        <select class="input-form" v-model="form.warganegara">
                            <option value="1">WNI</option>
                            <option value="2">WNA</option>
                        </select>
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Kelas : </div>
                        <select class="input-form" v-model="form.kelas">
                            <option value="1">Kelas I</option>
                            <option value="2">Kelas II</option>
                            <option value="2">Kelas III</option>
                        </select>
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Email: </div>
                        <input type="text" class="input-form" v-model="form.email" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> <b>Alamat</b> </div>
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Alamat: </div>
                        <textarea class="input-form " v-model="form.alamat" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> RT / RW: </div>
                        <input type="text" class="input-form" v-model="form.rt" />   <div class="w-5">/</div><input type="text" class="input-form" v-model="form.rw" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Kodepos: </div>
                        <input type="text" class="input-form" v-model="form.kodepos" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Nomor Telp Rumah: </div>
                        <input type="text" class="input-form" v-model="form.telp_rmh" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Kelurahan/Desa: </div>
                        <input type="text" class="input-form" v-model="form.kel_desa" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> No KK: </div>
                        <input type="text" class="input-form" v-model="form.nokk" />
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> <b>Tambahan</b> </div>
                        </div>

                         <div class="flex space-x-9">
                        <div class="w-32"> Status Dalam Keluarga : </div>
                        <select class="input-form" v-model="form.status_kel">
                            <option value="1">Kepala Rumah Tangga </option>
                            <option value="2">Istri</option>
                            <option value="3">Anak</option>
                            <option value="4">Seorang Diri</option>
                        </select>
                        </div>

                        <div class="flex space-x-9">
                        <div class="w-32"> Jumlah Anak : </div>
                        <select class="input-form" v-model="form.jml_anak" :disabled="form.status_kel === '4'">
                            <option value="0">0</option>
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5">5</option>
                            <option value="6">6</option>
                        </select>
                        </div>

                         <div class="flex space-x-9">
                        <div class="w-32"> Rekening : </div>
                        <select class="input-form" v-model="form.bank">
                            <option value="BNI">Bank BNI</option>
                            <option value="BCA">Bank BCA</option>
                            <option value="BSI">Bank BSI</option>
                            <option value="MANDIRI">Bank Mandiri</option>
                            <option value="NIAGA">Bank CIMB Niaga</option>
                            <option value="SINARMAS">Bank Sinarmas</option>
                        </select>
                        </div>

                        
                        <div class="flex space-x-9">
                        <div class="w-32"> Nomor Rekening: </div>
                        <input type="text" class="input-form" v-model="form.norek" />
                        </div>

                         <div class="flex space-x-9">
                        <div class="w-32"> Nama Pemilik Rekening: </div>
                        <input type="text" class="input-form" v-model="form.nmrek" />
                        </div>

                       <button type="submit" class="primary-button">
                       {{ nasabah ? 'Update' : "Submit" }}

                       </button>

                        </form>

					</div>
				</div>
			</div>
		</div>
	</BreezeAuthenticatedLayout>
</template>

<script>
import BreezeAuthenticatedLayout from "@/Layouts/Authenticated.vue";
import { Head } from "@inertiajs/inertia-vue3";
import { Inertia } from '@inertiajs/inertia';
import Datepicker from '@vuepic/vue-datepicker';
import '@vuepic/vue-datepicker/dist/main.css'


export default {
    props: { nasabah: Object },
   
	components: { BreezeAuthenticatedLayout, Head, Datepicker },
    data(){
        return{
            form: {
                noktp: this.nasabah ?.noktp,
                nama: this.nasabah ?.nama,
                jenkel: this.nasabah ?.jenkel,
                tptlhr: this.nasabah ?.tptlhr,
                tgllhr: this.nasabah ?.tgllhr,
                status: this.nasabah ?.status,
                hp: this.nasabah ?.hp,
                npwp: this.nasabah ?.npwp,
                warganegara: this.nasabah ?.warganegara,
                kelas: this.nasabah ?.kelas,
                email: this.nasabah ?.email,
                alamat: this.nasabah ?.alamat,
                rt: this.nasabah ?.rt,
                rw: this.nasabah ?.rw,
                kodepos: this.nasabah ?.kodepos,
                telp_rmh: this.nasabah ?.telp_rmh,
                kel_desa: this.nasabah ?.kel_desa,
                nokk: this.nasabah ?.nokk,
                status_kel: this.nasabah ?.status_kel,
                jml_anak: this.nasabah ?.jml_anak,
                bank: this.nasabah ?.bank,
                norek: this.nasabah ?.norek,
                nmrek: this.nasabah ?.nmrek,
            },
         
        };
                    
    },

	methods:{
      submit() {
      if(this.nasabah)Inertia.put('/nasabah/' + this.nasabah.id, this.form);
      //update
      else Inertia.post('/nasabah', this.form);
    },
    },
    updated() {
		var flash = this.$page.props.flash;
		if (flash?.message)
			Swal.fire({
				toast: true,
				position: "top-end",
				showConfirmButton: false,
				timer: 3000,
				timerProgressBar: true,
				icon: flash.type,
				title: flash.message,
			});
	},
};
</script>
